# Creating a Fabric Cloud Router You can configure and provision a new Fabric Cloud Router through the Equinix Customer Portal or API. To create a cloud router you must have the `Fabric Cloud Router Manager` role. ## Cloud Router Options[​](#cloud-router-options "Direct link to Cloud Router Options") When you order a Fabric Cloud Router, choose between the following configuration options: * **Location** - Choose the Metro location of the cloud router. You can only connect a Cloud Router to other endpoints within the same metro location. A list of locations and their ASNs is available in [Locations and ASNs](https://docs.equinix.com/fabric-cloud-router.md#locations-and-asns) * **Package** - The package determines the price per month, as well as the IPv4 and IPv6 route quotas, the maximum number of connections to/from the router, and the maximum bandwidth of connections to/from the router. For more information, see [Service Packages](https://docs.equinix.com/fabric-cloud-router.md#service-packages). * **Terms Length** - You can choose to commit to term-based billing where longer terms include additional savings. Charges are billed monthly and early termination fees may apply. The Lab tier package is only available on-demand. For more information, see [Contracted Terms](https://docs.equinix.com/fabric-cloud-router.md#contracted-terms). ## Create a Cloud Router[​](#create-a-cloud-router "Direct link to Create a Cloud Router") To create a cloud router: * Portal * API * Terraform 1. Sign into the [Equinix Customer Portal](https://portal.equinix.com) and navigate to *Fabric*. 2. Use the *Project Selector* drop-down to choose the correct project. For more information, see [Managing Projects](https://docs.equinix.com/iam/resources/projects-manage.md). 3. From the *Cloud Routers* menu, select **Create a Fabric Cloud Router**. ![](https://docs.equinix.com/assets/images/create-fcr-16fa737aee34893e8e29041f89ff9fcf.png) 4. On the *Select Location* page, click a region and a metro location. For a list of the Autonomous System Numbers used for Cloud Routers in each of the available metros, see [Locations and ASNs](https://docs.equinix.com/fabric-cloud-router.md#locations-and-asns). ![](https://docs.equinix.com/assets/images/create-fcr-locations-18da798de82322d03b36e92a284ea13e.png) > **Note** > > You can only connect a Cloud Router to other endpoints within the same metro location. 5. Choose a *Billing Account* from the drop-down list. ![](https://docs.equinix.com/assets/images/create-fcr-billing-07b14233c9ce4e67923ddce9999f7c27.png) > **Note** > > You can order a new Fabric Cloud Router and set up a billing account through the AWS Marketplace. For instructions, see [Order a Cloud Router or VC in the AWS Marketplace](https://docs.equinix.com/fabric-cloud-router/fcr-order-csp-marketplace.md). 6. Click **Next: Fabric Cloud Router Details**. 7. On the *Fabric Cloud Router Details* page: * Enter a new cloud router name. The name must contain 3–24 characters. * Select a [term length](https://docs.equinix.com/fabric/pricing-billing/fabric-billing-pricing.md#contracted-terms). * (Optional) Enter a *Purchase Order Number*. * Select a package with the number of IPv4 and IPv6 routes, the virtual connection bandwidth, and the number of virtual connections that you need for the new Cloud Router. > **Note** > > 100 Gbps virtual connections are supported as long as the metro and the infrastructure on the other side of the connections support 100 Gbps on their side. For more information, see [Virtual Connection Availability](https://docs.equinix.com/fabric/fabric-availability.md). ![](https://docs.equinix.com/assets/images/create-fcr-details-2a40bc4de8e4ff48c536d59b175d9e51.png) 8. Click **Next: Review**. 9. Review your order in the *Fabric Cloud Router Details* section. The *Pricing Overview* section lists your *Fabric Cloud Router Monthly Charge*. Optionally: * To download a PDF summary of the order, click **Download Design Summary** in the *Pricing Overview* section. * In the *Notifications* section, click **Add Another Email** to enter any additional email addresses for notifications about this order or cloud router. * The *Download Code Templates* section offers a REST API or Terraform template for your order. To download, select an option, and click **Download Template**. ![](https://docs.equinix.com/assets/images/create-fcr-review-6823a8b63b95652e0050b2af0308e57a.png) 10. When you are ready, click **Submit Order**. In the *Suggested Actions* section of your new Cloud Router order confirmation, click **View this Fabric Cloud Router** to display the inventory list. For more information, see [Fabric Cloud Router Inventory](https://docs.equinix.com/fabric-cloud-router/managing-fcr/fcr-inventory.md). To create a Fabric Cloud Router in the API, send a `POST` request to the [`/fabric/v4/routers`](https://docs.equinix.com/api-catalog/fabricv4/cloud-routers/createcloudrouter.md) endpoint. In the body of the request, specify: * The `type` is `XF_ROUTER`. * Your router name. * The project the router belongs in. * The Equinix Metro code for the router's location. * Set the package code to `LAB`, `BASIC`, `STANDARD`, or `ADVANCED`. * Specify the `termLength` in number of months: `1`, `12`, `24`, `36`. The default value `1` is for on-demand usage. Lab packages are only available on-demand. * Enter your billing account number in `accountNumber`. * Use the `notifications` object for contact emails about this router. Sample curl request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/routers' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "type": "XF_ROUTER", "name": "", "project": { "projectId": "" }, "location": { "metroCode": "" }, "package": { "code": "" }, "order": { "termLength": "" }, "account": { "accountNumber": }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] }' ``` Create a Fabric Cloud Router using the [`equinix_fabric_cloud_router`](https://docs.equinix.com/terraform/resources/fabric_cloud_router.md) resource. Specify: * The `type` is `XF_ROUTER`. * Your router name. * The project the router belongs in. * The Equinix Metro code for the router's location. * Set the package code to `LAB`, `BASIC`, `STANDARD`, or `ADVANCED`. * Specify the `termLength` in number of months: `1`, `12`, `24`, `36`. The default value `1` is for on-demand usage. Lab packages are only available on-demand. * Enter your billing account number in `accountNumber`. * Use the `notifications` object for contact emails about this router. ``` resource "equinix_fabric_cloud_router" "new_cloud_router"{ name = "" type = "XF_ROUTER" project { project_id = "" } location { metro_code = "" } notifications{ type = "ALL" emails = ["",""] } order { term_length = "" } package { code = "" } account { account_number = "" } } ``` Within a few minutes, you'll receive an email notification that your new Cloud Router is provisioned and ready for use. ## Cloud Router Status[​](#cloud-router-status "Direct link to Cloud Router Status") * Portal * API * Terraform Once you have created your Fabric Cloud Router, check its status in your [Fabric Cloud Router Inventory](https://docs.equinix.com/fabric-cloud-router/managing-fcr/fcr-inventory.md). ![](https://docs.equinix.com/assets/images/create-fcr-inventory-list-b625b0e7c1c9207cb4d89189d6da145c.png) Once you have created your Fabric Cloud Router, check its status by sending a `GET` request to the [`fabric/v4/routers/{routerId}`](https://docs.equinix.com/api-catalog/fabricv4/cloud-routers/getcloudrouterbyuuid.md) endpoint. ``` curl -X GET 'https://api.equinix.com/fabric/v4/routers/{routerId}' \ -H 'authorization: Bearer ' ``` Once you have created your Fabric Cloud Router, check its status using the [`equinix_fabric_cloud_router`](https://docs.equinix.com/terraform/data-sources/fabric_cloud_router.md) data source. When your cloud router is `PROVISIONED` you can create connections to your [ports](https://docs.equinix.com/fabric-cloud-router/connections/fcr-create-connection-port.md), [Network Edge virtual devices](https://docs.equinix.com/fabric-cloud-router/connections/fcr-connect-virtual-device.md), or [cloud service providers](https://docs.equinix.com/fabric-cloud-router/connections/connecting-service-provider-fcr.md).